Bug 200795 - xboard: world writable chess.png
xboard: world writable chess.png
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xboard (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-31 14:12 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.2.7-12.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 17:34:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-07-31 14:12:38 EDT
/usr/share/pixmaps/chess.png is world writable apparently due to bad umask
setting in the FE build system; its maintainers have been notified.

FE5 and devel are affected and this should be fixed in the package anyway, a fix
is to use "install -pm 644" instead of cp to install the file.  In the FE4
package the file is 664, not world writable, but I'd recommend fixing this in it
too.
Comment 1 Ville Skyttä 2006-08-02 15:29:03 EDT
Fixed (FC-4, FC-5, devel) and built (FC-5, devel), will be in the next push.

http://buildsys.fedoraproject.org/build-status/job.psp?uid=13622
http://buildsys.fedoraproject.org/build-status/job.psp?uid=13621

Note You need to log in before you can comment on or make changes to this bug.